=== debian/changelog ===
python-ttfautohint-py (0.5.1-2) unstable; urgency=medium

  * Add Depends: pkg-resources for version

 -- Bastian Germann <bage@debian.org>  Tue, 22 Jul 2025 08:33:17 +0200

python-ttfautohint-py (0.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1101930)

 -- Bastian Germann <bage@debian.org>  Thu, 17 Apr 2025 18:00:21 +0200
