=== debian/control ===
Source: python-ttfautohint-py
Section: python
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3-setuptools,
 python3-setuptools-scm,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-all,
 python3-fonttools <!nocheck>,
 python3-pytest <!nocheck>,
 libttfautohint-dev,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/fonttools/ttfautohint-py
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ttfautohint-py
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ttfautohint-py.git

Package: python3-ttfautohint-py
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${Depends},
 python3-pkg-resources,
Description: Python wrapper for ttfautohint (Python 3)
 A Python wrapper for ttfautohint, a free auto-hinter for TrueType fonts.
 It uses ctypes to load the libttfautohint shared library and call the
 TTF_autohint function.
