=== debian/changelog ===
python-ttfautohint-py (0.6.0-2) unstable; urgency=medium

  * Depend on ttfautohint executable

 -- Bastian Germann <bage@debian.org>  Wed, 08 Oct 2025 13:08:00 +0200

python-ttfautohint-py (0.6.0-1) unstable; urgency=medium

  * Set Python Team as Maintainer
  * New upstream version 0.6.0

 -- Bastian Germann <bage@debian.org>  Thu, 14 Aug 2025 17:24:24 +0200
