=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ttfautohint-py
 Section: python
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Bastian Germann <bage@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +13,7 @@
  python3-all,
  python3-fonttools <!nocheck>,
  python3-pytest <!nocheck>,
- libttfautohint-dev,
+ ttfautohint <!nocheck>,
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.7.2
 Homepage: https://github.com/fonttools/ttfautohint-py
@@ -26,7 +27,6 @@
  ${misc:Depends},
  ${Depends},
  python3-pkg-resources,
+ ttfautohint,
 Description: Python wrapper for ttfautohint (Python 3)
  A Python wrapper for ttfautohint, a free auto-hinter for TrueType fonts.
- It uses ctypes to load the libttfautohint shared library and call the
- TTF_autohint function.
