=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ttfautohint-py

%:
	dh $@ --buildsystem=pybuild

override_dh_gencontrol-indep:
	dh_gencontrol -- -VDepends="$(shell dpkg-query -f '$${Depends}' -W libttfautohint-dev | cut -d' ' -f1)"
