=== debian/watch ===
version=4
opts="mode=git" https://github.com/fonttools/ttfautohint-py.git \
    refs/tags/v([\d\.]+)
